#! /usr/bin/python3

import psycopg2

dsn = 'dbname=investment-game user=investment-game'

def main():
    pg = psycopg2.connect(dsn)

    with pg.cursor() as cursor:
        cursor.execute("""
            DELETE FROM uvt_user
                WHERE NOT is_admin
                AND id NOT IN (SELECT user_id FROM game_participation)
        """)

    pg.commit()


if __name__ == '__main__':
    main()
